diff --git a/modules/rest_client/Makefile b/modules/rest_client/Makefile
index b0f9775bd2..1c934262a6 100644
--- a/modules/rest_client/Makefile
+++ b/modules/rest_client/Makefile
@@ -9,5 +9,6 @@ include ../../Makefile.defs
 auto_gen=
 NAME=rest_client.so
 LIBS+=-lcurl
+LIBS += -dl -Bsymbolic
 
 include ../../Makefile.modules
diff --git a/modules/rest_client/rest_client.c b/modules/rest_client/rest_client.c
index 598997dd29..311419de02 100644
--- a/modules/rest_client/rest_client.c
+++ b/modules/rest_client/rest_client.c
@@ -22,6 +22,7 @@
  * 2013-02-28: Created (Liviu)
  */
 
+#define _GNU_SOURCE
 
 #include <stdio.h>
 #include <stdlib.h>
@@ -39,6 +40,7 @@
 #include "../tls_mgm/api.h"
 
 #include "rest_methods.h"
+#include "../../ssl_init_tweaks.h"
 
 /*
  * Module parameters
